/*
** Module   : BrowseCellWidget.java
** Abstract : server side browse cell widget implementation
**
** Copyright (c) 2005-2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- --JPRM-- --------------------------Description----------------------------
** 001 NVS 20051026   @25216 Created initial version.
** 002 GES 20060114   @23906 Removed totally useless screen-value attr.
** 003 GES 20060803   @28364 Major cleanup and refactoring.  It is now
**                           an empty implementation used as a placeholder only.
** 004 SIY 20101122          Changes in imports caused by refactoring of CHUI package.
** 005 OM  20130527          Added int64 support.
** 006 CA  20130930          Added LegacyResource annotation, to determine resource type.
*/ 

package com.goldencode.p2j.ui;

import com.goldencode.p2j.util.*;

/**
 * This class represents a single browse cell (the intersection of a row and
 * column).
 * <p>
 * This class is currently unused but is a placeholder for future use.
 */
@LegacyResource(resource = LegacyResource.BROWSE_CELL)
public class BrowseCellWidget
extends GenericWidget
{
   /**
    * Default constructor.
    */
   public BrowseCellWidget()
   {
      super(null);
   }
   
   /**
    * Get the COLUMN readonly attribute.
    *
    * @return   The value of the COLUMN attribute.
    */
   public decimal getColumn()
   {
      return null;
   }

   /**
    * Get the DCOLOR writable attribute.
    *
    * @return   The current value of the DCOLOR attribute.
    */
   public integer getDcolor()
   {
      return null;
   }

   /**
    * Setter for the DCOLOR writable attribute.
    *
    * @param    dcolor
    *           The new value for the DCOLOR.
    */
   public void setDcolor(int64 dcolor)
   { 
   }

   /**
    * Setter for the DCOLOR writable attribute.
    *
    * @param    dcolor
    *           The new value for the DCOLOR.
    */
   public void setDcolor(int dcolor)
   { 
   }

   /**
    * Get the HEIGHT-CHARS writable attribute.
    *
    * @return   The current value of HEIGHT-CHARS attribute.
    */
   public decimal getHeightChars()
   {
      return null;
   }

   /**
    * Set the HEIGHT-CHARS writable attribute.
    *
    * @param    hc
    *           The new value for HEIGHT-CHARS.
    */
   public void setHeightChars(decimal hc)
   {
   }

   /**
    * Get the PFCOLOR writable attribute.
    *
    * @return   The current value of the PFCOLOR attribute.
    */
   public integer getPfColor()
   {
      return null;
   }

   /**
    * Set the PFCOLOR writable attribute.
    *
    * @param    pfcolor
    *           The new value for PFCOLOR.
    */
   public void setPfColor(int64 pfcolor)
   {
   }

   /**
    * Get the ROW readonly attribute.
    *
    * @return   The value of the ROW attribute.
    */
   public decimal getRow()
   {
      return null;
   }

   /**
    * Get the X readonly attribute.
    *
    * @return   The value of the X attribute.
    */
   public integer getX()
   {
      return null;
   }

   /**
    * Get the Y readonly attribute.
    *
    * @return   The value of the Y attribute.
    */
   public integer getY()
   {
      return null;
   }
}
