/*
** Module   : LiteralWidget.java
** Abstract : server-side literal widget representation.
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- --------------------------------Description-----------------------------------
** 001 CA  20130927 Created initial version.
*/

package com.goldencode.p2j.ui;

import com.goldencode.p2j.util.*;

/**
 * Represents a LITERAL widget on server-side. This widget is used in following cases:
 * <ul>
 *   <li>FORM "string-literal"</li>
 * </ul>
 */
@LegacyResource(resource = LegacyResource.LITERAL)
public class LiteralWidget
extends ControlTextWidget
{
   /**
    * Default constructor.
    */
   public LiteralWidget()
   {
      setStatic(true);
   }
}
